
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>转载：  CentOS/Linux 解决 SSH 连接慢 / 憋错料</title>

    <meta name="description" content="转载：  CentOS/Linux 解决 SSH 连接慢 http://blog.csdn.net/doiido/article/details/43793391 CentOS/Linux 解决 SSH 连接慢 标签: linuxssh远程连接ssh慢 2015-02-13 13:24 1230人阅读 评论(0) 收藏 举报 分类: Linux 应用(16) 版权声明:本文为博主原创文章,未经博主允许不得转载. 现在连接Linux服务器一般都是使用SSH远程连接的方式.最近新装了一台服务器,发现telnet时速度很快,ping时一切也正常,但SSH连接">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">转载：  CentOS/Linux 解决 SSH 连接慢</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>http://blog.csdn.net/doiido/article/details/43793391<br />
 CentOS/Linux 解决 SSH 连接慢<br />
标签： linuxssh远程连接ssh慢<br />
2015-02-13 13:24 1230人阅读 评论(0) 收藏 举报<br />
 分类： Linux 应用（16）<br />
版权声明：本文为博主原创文章，未经博主允许不得转载。</p>
<p>现在连接Linux服务器一般都是使用SSH远程连接的方式。最近新装了一台服务器，发现telnet时速度很快，ping时一切也正常，但SSH连接的时候却很慢。经过网上资料查询，大致是有以下几种原因：</p>
<p>1、SERVER的SSHD会去DNS查找访问的CLIENT IP的HOSTNAME，如果DNS不可用或者没有相关记录，就会消耗一段时间。<br />
2、在authentication gssapi-with-mic有时候也会消耗一段时间</p>
<p>一、测试查找具体原因：<br />
1、使用ssh -v host进行debug<br />
# ssh -v 192.168.100.10<br />
然后就会输出一大堆debug，通过debug信息就可以看到连接到什么地方被耽搁了<br />
比如会显示如下信息：<br />
[html] view plain copy<br />
debug1: Next authentication method: gssapi-with-mic<br />
debug1: Unspecified GSS failure. Minor code may provide more information<br />
No credentials cache found</p>
<p>2、检测连接时间<br />
# time ssh [email&#160;protected] exit</p>
<p>二、解决方法（建议一个个设置，因为每个人连接慢的原因都不一样）：</p>
<p>注意：修改之后记得重启sshd服务<br />
# service sshd restart</p>
<p>1、关闭DNS反向解析<br />
在linux中，默认就是开启了SSH的反向DNS解析,这个会消耗大量时间，因此需要关闭。<br />
# vi /etc/ssh/sshd_config<br />
UseDNS=no</p>
<p>在配置文件中，虽然UseDNS yes是被注释的，但默认开关就是yes</p>
<p>2、关闭SERVER上的GSS认证<br />
在authentication gssapi-with-mic有很大的可能出现问题，因此关闭GSS认证可以提高ssh连接速度。<br />
# vi /etc/ssh/sshd_config<br />
GSSAPIAuthentication no</p>
<p>3、修改server上nsswitch.conf文件<br />
# vi /etc/nsswitch.conf<br />
找到<br />
hosts： files dns<br />
改为<br />
hosts：files</p>
<p>hosts： files dns这一行含义是对于访问的主机进行域名解析的顺序，是先访问file，也就是/etc/hosts文件，如果hosts中没有记录域名，则访问dns，进行域名解析，如果dns也无法访问，就会等待访问超时后返回，因此等待时间比较长。<br />
注意：如果SERVER需要通过域名访问其他服务器，则需要保留此行。</p>
<p>4、修改SERVER上resolv.conf文件<br />
4.1、删除/etc/resolv.conf中所有不使用的IP。<br />
4.2、把nameserver全部删除，问题也能解决，但是服务器就无法上网了。<br />
4.3、如果SERVER曾经配置过双网卡，则在该文件中会有一行目前不使用的IP地址，删除该行即可。</p>
<p>5、修改SERVER上hosts文件<br />
在SERVER上/etc/hosts文件中把客户端的IP和HOSTNAME加入</p>
<p>6、打开SERVER上的IgnoreRhosts参数<br />
IgnoreRhosts参数可以忽略以前登录过主机的记录，设置为yes后可以极大的提高连接速度<br />
# vi /etc/ssh/sshd_config<br />
IgnoreRhosts yes</p>
<p>--------------------以上的均在SERVER上设置，以下的均在CLIENT上设置-----------------------</p>
<p>7、修改客户端的hosts文件<br />
将目标SERVER的IP和域名加上去,使得本机的DNS服务能解析目标地址。<br />
# vi /etc/hosts<br />
192.168.100.11  doiido.com</p>
<p>注：hosts文件格式为‘目标SERVER_IP 目标SERVER_NAME‘。但是使用这个方法有一个弊端，如果需要给每台SERVER都添加一个域名解析。</p>
<p>8、修改客户端配置文件ssh_conf（注意，不是sshd_conf）<br />
# vi /etc/ssh/ssh_conf<br />
找到<br />
GSSAPIAuthentication yes<br />
改为<br />
GSSAPIAuthentication no</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 15:25:52 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/cache/" title="cache">cache</a>, <a href="https://www.biecuoliao.com/tag/%e5%8f%82%e6%95%b0/" title="参数">参数</a>, <a href="https://www.biecuoliao.com/tag/%e8%a7%a3%e5%86%b3%e6%96%b9%e6%b3%95/" title="解决方法">解决方法</a>, <a href="https://www.biecuoliao.com/tag/%e6%b7%bb%e5%8a%a0/" title="添加">添加</a>, <a href="https://www.biecuoliao.com/tag/%e5%a4%a7%e9%87%8f/" title="大量">大量</a>, <a href="https://www.biecuoliao.com/tag/article/" title="article">article</a>, <a href="https://www.biecuoliao.com/tag/%e5%bc%80%e5%90%af/" title="开启">开启</a>, <a href="https://www.biecuoliao.com/tag/%e6%a0%87%e7%ad%be/" title="标签">标签</a>, <a href="https://www.biecuoliao.com/tag/%e6%96%87%e4%bb%b6%e6%a0%bc%e5%bc%8f/" title="文件格式">文件格式</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>转载：  CentOS/Linux 解决 SSH 连接慢的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AeQGz4.html" rel="bookmark">&lpar;转&rpar;CentOS&sol;Linux 解决 SSH 连接慢</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CentOS/Linux 解决 SSH 连接慢 原文:http://blog.csdn.net/doiido/article/details/43793391 现在连接linux服务器一般都是使用SSH远程连接的方式.最近新装了一台服务器,发现telnet时速度很快,ping时一切也正常,但SSH连接的时候却很慢.经过网上资料查询,大致是有以下几种原因: 1.SERVER的SSHD会去DNS查找访问的CLIENT IP的HOSTNAME,如果DNS不可用或者没有相关记录,就会消耗一段时间.2.在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZKxdL4.html" rel="bookmark">CentOS&sol;Linux 解决 SSH 连接慢</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				现在连接linux服务器一般都是使用SSH远程连接的方式.最近新装了一台服务器,发现telnet时速度很快,ping时一切也正常,但SSH连接的时候却很慢.经过网上资料查询,大致是有以下几种原因: 1.SERVER的SSHD会去DNS查找访问的CLIENT IP的HOSTNAME,如果DNS不可用或者没有相关记录,就会消耗一段时间. 2.在authentication gssapi-with-mic有时候也会消耗一段时间 一.测试查找具体原因: 1.使用ssh -v host进行debug #			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVRGN2M.html" rel="bookmark">CentOS 6&period;3 SSH连接时很慢的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SSH的配置文件,默认开启了DNS反向解析,这使得处于同一个局域网下的终端,在SSH到服务器的时候异常缓慢,如果从是外网SSH到服务器的话,速度则是正常的.我们只需要关闭DNS反向解析即可. 修改/etc/ssh/sshd_config文件 将 #UseDNS YES 修改为 UseDNS no 重启SSHD服务后问题解决. CentOS 6.3 SSH连接时很慢的解决方法			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0eE7wv0.html" rel="bookmark">linux技巧：解决ssh连接等待延迟的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				解决ssh连接等待几秒的问题 平时我们连接ssh的时候,经常要等5秒或者更长的时候,才能连上,因为是虚拟机,主机通过vmnet8和虚拟机是同一网段,不存在延迟的问题,那一定是虚拟机sshd配置的问题.困恼了好久,突然任同学提到sshd_config的一个参数配置useDNS能解决这个问题,上网查了查信息,果然有影响,解释是这样的: ssh尽管用ip连接,但是ssh连接的时候,服务器端会去查IP的PTR记录,由于查不到PTR记录,最后返回错误,才回来响应客户端的连接,此过程中,客户端一直处于等待状			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JAdDP3.html" rel="bookmark">linux下ssh连接缓慢详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘自:https://blog.csdn.net/asd2479745295/article/details/83006379 linux下ssh连接缓慢详解原创皮的开心 最后发布于2018-10-11 09:13:37 阅读数 1824 收藏展开    最近发现公司新linux控制器使用ssh连接特别慢,大概要10秒钟左右,scp也是需要10秒左右,但是ping速度特别快.使用ssh -l IP -v 可以查看连接卡在,SSH2_MAG_SERVICE_ACCEPT received后,停顿了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyyKXYM.html" rel="bookmark">Putty解决SSH连接超时断开的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 在 linux下的ssh命令:vim /etc/ssh/ssh_config 然后找到里面的ServerAliveInterval 参数,如果没有你同样自己加一个就好了.参数意义相同,都是秒数,比如9分钟: ServerAliveInterval 540 putty中解决SSH连接超时断开的两种方法 2 Putty 启用putty keepalive putty -&gt; Connection -&gt; Seconds between keepalives ( 0 to turn off ),默认			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jl29V4.html" rel="bookmark">linux关闭ssh连接</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 linux 关闭SSH 连接用户 1.查明登陆端口: # who root pts/1 Apr 8 00:06 (172.29.0.29) root pts/2 Apr 8 04:15 (172.29.0.21) 2.通知该用户将要关闭他: # echo &quot;I will close your connection&quot; &gt; /dev/pts/2 这样他的终端将显示该信息. 3.关闭用户连接 # fuser -k /dev/pts/2			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OmE2rM.html" rel="bookmark">linux中解决SSH连接慢问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				现在连接linux服务器一般都是使用SSH远程连接的方式.最近新装了一台服务器,发现telnet时速度很快,ping时一切也正常,但SSH连接的时候却很慢.经过网上资料查询,大致是有以下几种原因: 1.SERVER的SSHD会去DNS查找访问的CLIENT IP的HOSTNAME,如果DNS不可用或者没有相关记录,就会消耗一段时间. 2.在authentication gssapi-with-mic有时候也会消耗一段时间 一.测试查找具体原因: 1.使用ssh -v host进行debug #			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41aDvg4.html" rel="bookmark">解决SSH连接linux时长时间不操作自动断开</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近重装Linux系统,但是这次ssh连接云服务区Linux系统时,经常出现一段时间不操作,连接自动中断,表现为光标还在闪动,但是却无法操作.只好关闭终端,重新连接,很是麻烦. 为此,通过网络查找,找到一个解决方法,记录一下,以便以后查看. 修改/etc/ssh/sshd_config文件 sudo vim /etc/ssh/sshd_config 查找是否有ClientAliveInterval 0和ClientAliveCountMax 3,如何没有,则在文件后添加 ClientAliveI			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4122QqM.html" rel="bookmark" class="title">【BZOJ3262】 陌上花开</a>
					<div>
						Description 有n朵花,每朵花有三个属性:花形(s).颜色(c).气味(m),又三个整数表示.现要对每朵花评级,一朵花的级别是它拥有的美丽能超过的花的数量.定义一朵花A比另一朵花B要美丽,当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6N6GWM.html" rel="bookmark" class="title">NFS存储服务深度实践</a>
					<div>
						第1章 NFS介绍 1.1 什么是NFS? NFS 是Network File System的缩写,中文意思是网络文件系统.它的主要功能是通过网络(一般是局域网)让不同的主机系统之间可以共享文件或目录 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lrQvp4.html" rel="bookmark" class="title">在java当中定义了类数组之后为什么还都要new一下？</a>
					<div>
						java 数组是引用对象,引用对象都需要开辟内存空间,    //Cat[]  c=new Car[100];new 关键字在java里是实例化对象,也是为对象开辟内存空间. /*for(int i= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDdo5pM.html" rel="bookmark" class="title">Basic knowledge of html &lpar;keep for myself&rpar;</a>
					<div>
						1. 通常标签 &lt;strong&gt; 替换加粗标签 &lt;b&gt; 来使用, &lt;em&gt; 替换 &lt;i&gt;标签使用. 2. 在 &lt;head&gt;元素中你可以插入脚 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoGqolM.html" rel="bookmark" class="title">nodejs npm常用命令 转</a>
					<div>
						npm是一个node包管理和分发工具,已经成为了非官方的发布node模块(包)的标准.有了npm,可以很快的找到特定服务要使用的包,进行下载.安装以及管理已经安装的包. 1.npm install m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QAqye4.html" rel="bookmark" class="title">第5章 jQuery对表单、表格的操作及更多应用</a>
					<div>
						本章主要是对前面4章的小结和应用. 一. 表单form应用 表单分为3个组成部分 (1)form标签 表单可包含文本域,复选框,单选按钮等等.表单用于向指定的 URL 传递用户数据. (2)表单域 — ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JYZgl3.html" rel="bookmark" class="title">Shell获取上一个月、星期的时间范围</a>
					<div>
						#!/bin/bash date_today=`date -d '1 day ago' +%Y%m%d` #最近7天 date_befor_7day=`date -d '7 day ago' +%Y% ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXnyvG3.html" rel="bookmark" class="title">ios开发&mdash;&mdash;实用技术篇&amp;amp&semi;NSFileManager与NSFileHandler</a>
					<div>
						NSFileManager与NSFileHandler 先看图在说话,哈哈! 常用处理 追加数据 每个程序都会有它自己的沙盒,通过它你可以阅读/编写文件.写入沙盒的文件在程序的进程中将会保持稳定,即便 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPwovz4.html" rel="bookmark" class="title">一键安装 gitlab7 on rhel6&period;4 并设置邮件发送</a>
					<div>
						一键安装 gitlab7 on rhel6.4 并设置邮件发送 世间本无事,庸人自扰之.书归正传,简短节说:gitlab是个好东西,可是安装手冊奇烂.尽管以前对比文档一步一步安装起来gitlab 6. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nL1EK4.html" rel="bookmark" class="title">android中有关gen目录消失问题</a>
					<div>
						有时候我们导入别人项目时,gen目录消失了,即使修改了对应的sdktarget,也没有用,刷新没有用,这需要我们fix一下. 修改sdk的target:右击project--&gt;Android T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0azvpq3.html" rel="bookmark" class="title">命令行參数选项处理：getopt&lpar;&rpar;及getopt&lowbar;long&lpar;&rpar;函数使用</a>
					<div>
						在执行某个程序的时候,我们通常使用命令行參数来进行配置其行为.命令行选项和參数控制 UNIX 程序,告知它们怎样动作. 当 gcc的程序启动代码调用我们的入口函数 main(int argc,char ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qG6BGM.html" rel="bookmark" class="title">正在撰写《台湾最佳医院信息化及管理实践》</a>
					<div>
						最近正在撰写系列文章介绍台湾医院管理和信息化经验,计划能有好几万字.已经有一万多字了. 计划涉及到医品圈,个案管理师,电子病历,移动护理,电子签名和无纸化,信息化委员会制度,护理文明用语等等.有啥特别 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0klggb3.html" rel="bookmark" class="title">PowerShe 命令行调试指引&lpar;转&rpar;</a>
					<div>
						How to manage a debugging session Before you start debugging, you must set one or more breakpoints.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Rjwxy0.html" rel="bookmark" class="title">疯狂的LOL</a>
					<div>
						2015年7月21日 也不知道最近怎么了,是别人变厉害还是自己变弱了,js不怎么行了,别说超神了,连杀也越来越少了,甚至一度负数.换了换英雄,德邦也是靠头几天还可以,然后也没有多么猛了,至于adc一直 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzXgrW3.html" rel="bookmark" class="title">DB2操作命令</a>
					<div>
						本文详细汇总了DB2的常用操作命令,分享给大家.对于使用db2的朋友可以参考下. DB2数据库管理客户端从v9.7版本之后就不再带有控制中心了,而是使用 Data Studio Client.安装 D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vX7ZkM.html" rel="bookmark" class="title">MyBatis直接执行SQL的工具SqlMapper</a>
					<div>
						可能有些人也有过类似需求,一般都会选择使用其他的方式如Spring-JDBC等方式解决. 能否通过MyBatis实现这样的功能呢? 为了让通用Mapper更彻底的支持多表操作以及更灵活的操作,在2.2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nwK9X3.html" rel="bookmark" class="title">使用XML定制Ribbon的一点小前奏（稍微再进一步的理解XML）</a>
					<div>
						定制文档级Ribbon界面的实现思路: 1.excel的文件使用rar+xml的形式保存在本地. 2.用压缩软件打开文件,以规范的格式直接编缉或添加xml文件 3.使用excel文件时,主程序会解析x ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEqelRM.html" rel="bookmark" class="title">EntityFramework  7 更名为EntityFramework Core（预发布状态）</a>
					<div>
						前言 最近很少去学习和探索新的东西,尤其是之前一直比较关注的EF领域,本身不太懒,但是苦于环境比较影响自身的心情,所以迟迟没有下笔,但是不去学习感觉在精神层面缺少点什么,同时也有园友说EF又更新了,要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEqxEXM.html" rel="bookmark" class="title">angular五种服务详解</a>
					<div>
						在这之前angular学习笔记(十五)-module里的'服务'这篇文章里,已经大致讲解了ng中的'服务',在之后的很多地方也用到了服务,但是,所有的服务都是使用app.factory来创建的.但其实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49D9Nn3.html" rel="bookmark" class="title">实现最小宽度的几种方法及CSS Expression&lbrack;转&rsqb;</a>
					<div>
						实现最小宽度的几种方法及CSS Expression[转] 实现最小宽度的几种方法:css表达式尽量不用 支持FF IE7  IE6 .test { background:blue; min-widt ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.035 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
